import { getDictionary, Locale } from "../dictionaries";
import HomeClient from "./HomeClient";

export default async function Page({
  params,
}: {
  params: Promise<{ lang: Locale }>;
}) {
  const { lang } = await params;
  const dict = await getDictionary(lang);

  return <HomeClient lang={lang} dict={dict.home} />;
}
